Page MenuHomePhabricator

Enable RemexHTML on additional wikis with < 50 errors in all high priority categories
Closed, ResolvedPublic

Description

We have been gradually loosening constraints for replacing Tidy with Remex on wikis (see T182042 = 0, T184656 < 10, T188010 < 25).

As a next step, we are going to replace Tidy on all wikis that have fewer than 50 entires in all high-priority Linter categories.

I plan to make this switch on April 11 as part of the morning SWAT window. I'll make a list of all affected wikis next week, but, an additional 50-100 wikis will have Tidy removed during this step. The plan is to swith over all wikis by end of June.

The list of wikis that will be switched over are:

zeawiki 
zawiki
xalwiki
wawiki
vepwiki
tkwiki
roa_tarawiki
pdcwiki
oswiki
map_bmswiki
kshwiki
igwiki
iawiki
gnwiki
glkwiki
frrwiki
cuwiki
crhwiki
brwiki
bowiki
bjnwiki
arcwiki
acewiki
abwiki

rowikisource
plwikisource
glwikisource

trwikibooks
kowikibooks
jawikibooks
elwikibooks
cawikibooks

viwiktionary
vecwiktionary
tkwiktionary
tewiktionary
rwwiktionary
rowiktionary
iswiktionary
hewiktionary

Details

Related Gerrit Patches:

Event Timeline

ssastry triaged this task as Normal priority.Mar 26 2018, 9:45 PM
ssastry created this task.
Liuxinyu970226 added a subscriber: Liuxinyu970226.EditedMar 30 2018, 4:08 AM

Why not also include all "devwikis" (i.e. under *.wmflabs.org domain) e.g. https://livingstyleguide.wmflabs.org/?

@ssastry ^^?

ssastry updated the task description. (Show Details)Apr 2 2018, 4:09 PM
Restricted Application added a subscriber: revi. · View Herald TranscriptApr 2 2018, 4:09 PM

Change 423496 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[operations/mediawiki-config@master] Enable RemexHtml on wikis with <50 issues in high priority linter cats

https://gerrit.wikimedia.org/r/423496

Why not also include all "devwikis" (i.e. under *.wmflabs.org domain) e.g. https://livingstyleguide.wmflabs.org/?
@ssastry ^^?

@bd808 @Legoktm Thoughts?

Those aren't centrally managed anywhere. Presumably T185753: MediaWiki should default to using RemexHtml for tidy would take care of those whenever their maintainers update MediaWiki core.

Is it too late to add more wikis to this item? Have fixed most high priority lint errors in jawikibooks and there should be fewer than 50 of them now.

Is it too late to add more wikis to this item? Have fixed most high priority lint errors in jawikibooks and there should be fewer than 50 of them now.

No, I can add it to the list.

Is it too late to add more wikis to this item? Have fixed most high priority lint errors in jawikibooks and there should be fewer than 50 of them now.

No, I can add it to the list.

Great, thank you very much!

ssastry updated the task description. (Show Details)Apr 8 2018, 1:32 PM

Is it too late to add more wikis to this item? Have fixed most high priority lint errors in jawikibooks and there should be fewer than 50 of them now.

TYVM!

Change 423496 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RemexHtml on wikis with <50 issues in high priority linter cats

https://gerrit.wikimedia.org/r/423496

Mentioned in SAL (#wikimedia-operations) [2018-04-11T17:24:07Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:423496|Enable RemexHtml on wikis with <50 issues in high priority linter cats]] T190731 (duration: 00m 59s)

ssastry closed this task as Resolved.Apr 12 2018, 3:14 AM